Draft Text/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Dimension|Dimension]]
|[[Draft_Dimension|Dimension]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Rectangle.svg
|IconL=Draft_ShapeString.svg
|IconR=Draft_Dimension.svg
|IconR=Draft_Dimension.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
Line 21: Line 22:
</div>
</div>


'''Alternatively:''' To create a text label with a leader and an arrow use [[Draft Label|Draft Label]]. To create solid text or 3D letters use [[Draft ShapeString|Draft ShapeString]] with [[Part Extrude|Part Extrude]].
To insert a text element with an arrow use the [[Draft_Label|Draft Label]] command instead.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
[[Image:Draft_Text_example.jpg|400px]]
[[Image:Draft_Text_example.jpg|400px]]
</div>
</div>

'''Warning:''' The texts created with [[Release notes 0.18 |version 0.18]] are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.


==Usage==
==Usage==

See also: [[Draft_Tray|Draft Tray]] and [[Draft_Snap|Draft Snap]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 41: Line 42:


==Opciones==
==Opciones==

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 50: Line 53:
* Presionando {{KEY|ENTER}} '''dos veces''' (hasta dejar la última línea vacía) se añade el texto al documento y se cierra el editor.
* Presionando {{KEY|ENTER}} '''dos veces''' (hasta dejar la última línea vacía) se añade el texto al documento y se cierra el editor.
</div>
</div>

==Notes==

* Draft Texts created with [[Release_notes_0.18|FreeCAD version 0.18]] are not backward compatible.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 64: Line 71:
* {{PropertyView|Font Name}}: La fuente a utilizar para dibujar el texto. Puede ser un nombre de una fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará en su lugar una genérica.
* {{PropertyView|Font Name}}: La fuente a utilizar para dibujar el texto. Puede ser un nombre de una fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará en su lugar una genérica.
</div>
</div>

See also: [[property_editor|Property editor]].

A Draft Text object is derived from an [[App_FeaturePython|App FeaturePython]] object and inherits all its properties. The following properties are additional unless otherwise stated.


=== Data ===
=== Data ===

* {{PropertyData|Text}}: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
{{TitleProperty|Base}}
* {{PropertyData|Position}}: specifies the base point of the first line of the text block.

* {{PropertyData|Angle}}: specifies the rotation of the baseline of the first line of the text block.
* {{PropertyData|Axis}}: specifies the axis to use for the rotation.
* {{PropertyData|Placement|Placement}}: specifies the position of the text in the [[3D view|3D view]]. See [[Placement|Placement]].
* {{PropertyData|Text|StringList}}: specifies the contents of the text. Each item in the list represents a new text line.


=== View ===
=== View ===

* {{PropertyView|Display Mode}}: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
{{TitleProperty|Annotation}}
* {{PropertyView|Font Name}}: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

* {{PropertyView|Font Size}}: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
* {{PropertyView|Justification}}: specifies if the text aligns to the left, right or at the center of the base point.
* {{PropertyView|Annotation Style|Enumeration}}: specifies the annotation style applied to the text. See [[Draft_AnnotationStyleEditor|Draft AnnotationStyleEditor]].
* {{PropertyView|Line Spacing}}: specifies the space between lines of text.
* {{PropertyView|Scale Multiplier|Float}}: specifies the general scaling factor applied to the text.

{{TitleProperty|Display Options}}

* {{PropertyView|Display Mode|Enumeration}}: specifies how the text is displayed. If it is {{value|3D text}} the text will be displayed in a plane defined by its {{PropertyData|Placement}}. If it is {{value|2D text}} the text will always face the camera. This is an inherited property.

{{TitleProperty|Graphics}}

* {{PropertyView|Line Color|Color}}: not used.
* {{PropertyView|Line Width|Float}}: not used.

{{TitleProperty|Text}}

* {{PropertyView|Font Name|Font}}: specifies the font used to draw the text. It can be a font name, such as {{value|Arial}}, a default style such as {{value|sans}}, {{value|serif}} or {{value|mono}}, a family such as {{value|Arial,Helvetica,sans}}, or a name with a style such as {{value|Arial:Bold}}. If the given font is not found on the system, a default font is used instead.
* {{PropertyView|Font Size|Length}}: specifies the size of the letters. The text can be invisible in the [[3D_view|3D view]] if this value is very small.
* {{PropertyView|Justification|Enumeration}}: specifies if the alignment of the text: {{value|Left}}, {{value|Center}} or {{value|Right}}.
* {{PropertyView|Line Spacing|Float}}: specifies the factor applied to the default line height of the text.
* {{PropertyView|Text Color|Color}}: specifies the color of the text.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 84: Line 115:
</div>
</div>


To create a Draft Text use the {{incode|make_text}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeText}} method.
The Text tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
text = make_text(string, placement=None, screen=False)
}}
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
* Crea un objeto texto, en el punto indicado si se proporciona un vector, conteniendo la cadena de texto o las cadenas dadas en la lista, una cadena de texto por línea.
* Crea un objeto texto, en el punto indicado si se proporciona un vector, conteniendo la cadena de texto o las cadenas dadas en la lista, una cadena de texto por línea.
Line 94: Line 127:
</div>
</div>


The placement of the {{incode|Text}} can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
The view properties of {{incode|text}} can be changed by overwriting its attributes; for example, overwrite {{incode|ViewObject.FontSize}} with the new size in millimeters.

The view properties of {{incode|Text}} can be changed by overwriting its attributes; for example, overwrite {{incode|ViewObject.FontSize}} with the new size in millimeters.


Ejemplo:
Ejemplo:

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft

doc = App.newDocument()


p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"
t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)


p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]
t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)


Text1 = Draft.makeText(t1, point=p1)
text1 = Draft.make_text(t1, p1)
Text2 = Draft.makeText(t2, point=p2)
text2 = Draft.make_text(t2, p2)
Text1.ViewObject.FontSize = 200
text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)


p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]
t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200


doc.recompute()
Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
}}
}}



{{Docnav
{{Docnav
|[[Draft_ShapeString|ShapeString]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Dimension|Dimension]]
|[[Draft_Dimension|Dimension]]
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Rectangle.svg
|IconL=Draft_ShapeString.svg
|IconR=Draft_Dimension.svg
|IconR=Draft_Dimension.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
Line 139: Line 171:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 11:24, 4 May 2021

Draft_Text

Ubicación en el Menú
Croquis → Texto
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
T E
Introducido en versión
-
Ver también
Ninguno

Description

Descripción

La herramienta Texto inserta una parte de un texto en un punto dado en el documento actual. Toma el tamaño de texto y color previamente establecidos en la pestaña de tareas.

To insert a text element with an arrow use the Draft Label command instead.

Usage

See also: Draft Tray and Draft Snap.

Utilización

  1. Presiona el botón Texto, o presiona las teclas T y E
  2. Designa un punto en la vista 3D, o escribe unas coordenadas
  3. Introduce el texto deseado, presionando ENTER entre cada línea
  4. Presiona ENTER dos veces para terminar la operación.

Opciones

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Presionando CTRL se realizará un ajuste del punto a las ubicaciones de ajuste disponibles.
  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Presionando ESC se cancela la operación.
  • Cuando editando el texto, se presiona ENTER o DOWN ARROW permite introducir o editar una nueva línea de texto.
  • Presionando UP ARROW permite editar una línea de texto previa.
  • Presionando ENTER dos veces (hasta dejar la última línea vacía) se añade el texto al documento y se cierra el editor.

Notes

Propiedades

  • DatosPosition: El punto base del bloque de texto
  • DatosLabel Text: El contenido del bloque de texto
  • VistaDisplay Mode: Especifica si el texto está alineado con los ejes de la escena o si siempre mira hacia la cámara
  • VistaFont Size: El tamaño de las letras
  • VistaJustification: Especifica si el texto está alineado a la izquierda, derecha o centrado del punto base.
  • VistaLine Spacing: Especifica el espacio entre líneas de texto
  • VistaRotation: Especifica una rotación a ser aplicada al texto
  • VistaRotation Axis: Especifica el eje a utilizar para la rotación
  • VistaFont Name: La fuente a utilizar para dibujar el texto. Puede ser un nombre de una fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará en su lugar una genérica.

See also: Property editor.

A Draft Text object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated.

Data

Base

  • DatosPlacement (Placement): specifies the position of the text in the 3D view. See Placement.
  • DatosText (StringList): specifies the contents of the text. Each item in the list represents a new text line.

View

Annotation

  • VistaAnnotation Style (Enumeration): specifies the annotation style applied to the text. See Draft AnnotationStyleEditor.
  • VistaScale Multiplier (Float): specifies the general scaling factor applied to the text.

Display Options

  • VistaDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by its DatosPlacement. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

  • VistaLine Color (Color): not used.
  • VistaLine Width (Float): not used.

Text

  • VistaFont Name (Font): specifies the font used to draw the text. It can be a font name, such as Arial, a default style such as sans, serif or mono, a family such as Arial,Helvetica,sans, or a name with a style such as Arial:Bold. If the given font is not found on the system, a default font is used instead.
  • VistaFont Size (Length): specifies the size of the letters. The text can be invisible in the 3D view if this value is very small.
  • VistaJustification (Enumeration): specifies if the alignment of the text: Left, Center or Right.
  • VistaLine Spacing (Float): specifies the factor applied to the default line height of the text.
  • VistaText Color (Color): specifies the color of the text.

Scripting

Archivos de guión

La herramienta Texto puede utilizarse en macros y desde la consola de Python utilizando la siguiente función:

To create a Draft Text use the make_text method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeText method.

text = make_text(string, placement=None, screen=False)
  • Crea un objeto texto, en el punto indicado si se proporciona un vector, conteniendo la cadena de texto o las cadenas dadas en la lista, una cadena de texto por línea.
  • Se utilizan el color, altura de texto y fuente actuales de Boceto. Si screenmode es True, el texto siempre mira en la dirección de la vista, en otro casi permanece en el plano XY.
  • Devuelve el objeto recién creado.

The view properties of text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()